Bug 506609 - barry should build opensync plugin for fedora versions >= 11
barry should build opensync plugin for fedora versions >= 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: barry (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Christopher D. Stover
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 18:40 EDT by Nathanael Noblet
Modified: 2009-07-03 15:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.15-0.7.20090630git.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:32:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathanael Noblet 2009-06-17 18:40:10 EDT
Description of problem:
Fedora 11 reverted to opensync 0.22, barry should build the opensync plugin for F11 + rawhide...

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install barry*
2.
3.
  
Actual results:
only barry + barry-libs is installed

Expected results:
the barry opensync plugin is built/installed for F11+

Additional info:
Comment 1 Fedora Update System 2009-06-24 20:38:35 EDT
barry-0.15-0.6.20090623git.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/barry-0.15-0.6.20090623git.fc9
Comment 2 Fedora Update System 2009-06-24 20:41:47 EDT
barry-0.15-0.6.20090623git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/barry-0.15-0.6.20090623git.fc10
Comment 3 Fedora Update System 2009-06-24 20:43:51 EDT
barry-0.15-0.6.20090623git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/barry-0.15-0.6.20090623git.fc11
Comment 4 Nathanael Noblet 2009-06-26 03:02:21 EDT
I see the updates based on that list - however there is no corresponding opensync plugin package built. I downloaded the src.rpm from that link and rebuilt locally... It fails to build the opensync plugin. When I comment out the conditionals it also fails to build (I had this same problem when trying to update the barry version myself)...

checking how to hardcode library paths into programs... immediate
./configure: line 17077: syntax error near unexpected token `-fvisibility=hidden,'
./configure: line 17077: `AX_C_CHECK_FLAG(-fvisibility=hidden, , ,'
make: *** [config.status] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.frrZwH (%build)


There is something wrong with the buildgen.sh script or something for the opensync plugin...

In any case, the opensync plugin is still not being built even with the current spec file, and when it is trying fails...
Comment 5 Nathanael Noblet 2009-06-26 03:10:33 EDT
Just a FYI I reported the configure.a issue upstream and have tested his fix.. basically took your spec file, ran the git / tar etc commands to create the archive and saved over your 20090623 file. rpmbuild -bb barry.spec with the conditionals commented out for opensync, and now the above no longer happens. So you may want to update barry once more for the opensync support.

Also I noticed you set the opensync = 1 for all versions f9-f11, however f10 doesn't have opensync 0.22 last I checked so would fail there if you tried to build it.
Comment 6 Nathanael Noblet 2009-06-26 03:16:15 EDT
one last issue... When building the opensync plugin, the package requires libopensync = 0.22 which isn't for some reason satisfied by the libopensync 0.22-4.fc11 that is installed.
Comment 7 Fedora Update System 2009-06-26 22:39:47 EDT
barry-0.15-0.6.20090623git.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-26 22:52:14 EDT
barry-0.15-0.6.20090623git.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-06-26 22:55:29 EDT
barry-0.15-0.6.20090623git.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Nathanael Noblet 2009-06-29 12:02:40 EDT
the opensync plugin *is not* being built...
Comment 11 Fedora Update System 2009-07-01 21:00:11 EDT
barry-0.15-0.7.20090630git.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/barry-0.15-0.7.20090630git.fc11
Comment 12 Fedora Update System 2009-07-03 15:32:21 EDT
barry-0.15-0.7.20090630git.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.